%global commit 3f860f2d981547c18f2c9599e3c358ea488c3be4
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           vim-nerdcommenter
Version:        2.6.1
Release:        0.4%{?dist}
Summary:        Vim plugin for intensely nerdy commenting powers

License:        CC0-1.0
URL:            https://github.com/preservim/nerdcommenter
#Source0:        %%{url}/archive/%%{version}/nerdcommenter-%%{version}.tar.gz
Source0:        %{url}/archive/%{commit}/nerdcommenter-%{version}-git%{shortcommit}.tar.gz
# Added metainfo per
# https://docs.fedoraproject.org/en-US/packaging-guidelines/AppData/#_metainfo_xml_file_creation
Source1:        vim-nerdcommenter.metainfo.xml

Requires:       vim-common

# TODO: These are needed by %%transfiletrigger provided by vim-commons,
# not sure how to get rid of these ATM :/
Requires(post): vim
Requires(postun): vim

# Needed for AppData check.
BuildRequires:  libappstream-glib

# Defines %%vimfiles_root
BuildRequires:  vim-filesystem
BuildArch:      noarch

%description
Comment functions so powerful—no comment necessary.


%prep
%autosetup -n nerdcommenter


%build
# Nothing to build. We are just copying files to the filesystem


%install
mkdir -p %{buildroot}%{vimfiles_root}
cp -ar {autoload,doc,plugin} %{buildroot}%{vimfiles_root}

# Install AppData.
mkdir -p %{buildroot}%{_metainfodir}
install -m 644 %{SOURCE1} %{buildroot}%{_metainfodir}


%check
# Check the AppData add-on to comply with guidelines.
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/*.metainfo.xml


%files
%doc CHANGELOG.md
%license LICENSE
%doc README.md
%doc %{vimfiles_root}/doc/nerdcommenter.txt
%{vimfiles_root}/autoload/nerdcommenter.vim
%{vimfiles_root}/plugin/nerdcommenter.vim
%{_metainfodir}/vim-nerdcommenter.metainfo.xml


%changelog
* Sun Sep 08 2024 Patrick Laimbock <patrick@laimbock.com> - 2.6.1-0.4
- update to git rev 3f860f2d981547c18f2c9599e3c358ea488c3be4

* Mon Jun 03 2024 Patrick Laimbock <patrick@laimbock.com> - 2.6.1-0.3
- update to git rev 7bb1f72e802a80e37bdda5f6906c69b5a93de1eb

* Wed Nov 01 2023 Patrick Laimbock <patrick@laimbock.com> - 2.6.1-0.2
- update to git rev c52b6e731c2b558bc164419d4c369fcc45f0be51

* Mon Apr 17 2023 Patrick Laimbock <patrick@laimbock.com> - 2.6.1-0.1
- initial package

